Upstream information

CVE-2019-12083 at MITRE

Description

The Rust Programming Language Standard Library 1.34.x before 1.34.2 contains a stabilized method which, if overridden, can violate Rust's safety guarantees and cause memory unsafety. If the `Error::type_id` method is overridden then any type can be safely cast to any other type, causing memory safety vulnerabilities in safe code (e.g., out-of-bounds write or read). Code that does not manually implement Error::type_id is unaffected.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.1
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.0
SUSE Bugzilla entry: 1134978 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Development Tools 15
  • cargo >= 1.36.0-3.21.1
  • clippy >= 1.36.0-3.21.1
  • rls >= 1.36.0-3.21.1
  • rust >= 1.36.0-3.21.1
  • rust-analysis >= 1.36.0-3.21.1
  • rust-gdb >= 1.36.0-3.21.1
  • rust-src >= 1.36.0-3.21.1
  • rust-std-static >= 1.36.0-3.21.1
  • rustfmt >= 1.36.0-3.21.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2019-2439
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • cargo >= 1.36.0-4.1
  • clippy >= 1.36.0-4.1
  • rls >= 1.36.0-4.1
  • rust >= 1.36.0-4.1
  • rust-analysis >= 1.36.0-4.1
  • rust-src >= 1.36.0-4.1
  • rust-std-static >= 1.36.0-4.1
  • rustfmt >= 1.36.0-4.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2019-2755
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • rust >= 1.36.0-3.21.1
  • rust-cbindgen >= 0.8.7-1.3.6
  • rust-doc >= 1.36.0-3.21.1
  • rust-gdb >= 1.36.0-3.21.1
  • rust-src >= 1.36.0-3.21.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2439
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • cargo-doc >= 1.36.0-4.1
  • rust >= 1.36.0-4.1
  • rust-doc >= 1.36.0-4.1
  • rust-gdb >= 1.36.0-4.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2755
openSUSE Leap 15.0
  • cargo >= 1.36.0-lp150.16.2
  • cargo-doc >= 1.36.0-lp150.16.2
  • clippy >= 1.36.0-lp150.16.2
  • rls >= 1.36.0-lp150.16.2
  • rust >= 1.36.0-lp150.16.2
  • rust-analysis >= 1.36.0-lp150.16.2
  • rust-cbindgen >= 0.8.7-lp150.2.1
  • rust-cbindgen-debuginfo >= 0.8.7-lp150.2.1
  • rust-doc >= 1.36.0-lp150.16.2
  • rust-gdb >= 1.36.0-lp150.16.2
  • rust-src >= 1.36.0-lp150.16.2
  • rust-std-static >= 1.36.0-lp150.16.2
  • rustfmt >= 1.36.0-lp150.16.2
Patchnames:
openSUSE-2019-2201
openSUSE Leap 15.1
  • cargo >= 1.36.0-lp151.5.8.1
  • cargo-debuginfo >= 1.36.0-lp151.5.8.1
  • cargo-doc >= 1.36.0-lp151.5.8.1
  • clippy >= 1.36.0-lp151.5.8.1
  • clippy-debuginfo >= 1.36.0-lp151.5.8.1
  • rls >= 1.36.0-lp151.5.8.1
  • rls-debuginfo >= 1.36.0-lp151.5.8.1
  • rust >= 1.36.0-lp151.5.8.1
  • rust-analysis >= 1.36.0-lp151.5.8.1
  • rust-cbindgen >= 0.8.7-lp151.5.2
  • rust-cbindgen-debuginfo >= 0.8.7-lp151.5.2
  • rust-debuginfo >= 1.36.0-lp151.5.8.1
  • rust-debugsource >= 1.36.0-lp151.5.8.1
  • rust-doc >= 1.36.0-lp151.5.8.1
  • rust-gdb >= 1.36.0-lp151.5.8.1
  • rust-src >= 1.36.0-lp151.5.8.1
  • rust-std-static >= 1.36.0-lp151.5.8.1
  • rustfmt >= 1.36.0-lp151.5.8.1
  • rustfmt-debuginfo >= 1.36.0-lp151.5.8.1
Patchnames:
openSUSE-2019-2203
openSUSE-2019-2244
openSUSE-2019-2294


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Development Tools 15 GA rust Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 rust Released